<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Infusion general information
$inf_title = "Forum Rank System";
$inf_description = "Adds ranks to forum users dependent on the number of forum posts.";
$inf_version = "1.00";
$inf_developer = "weedorbeat (5.01), mistermartin75 (6.00 comp)";
$inf_email = "p.m.@directbox.com";
$inf_weburl = "http://www.carstenpukass.de";

$inf_folder = "rank_system"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "rank_system.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 16; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "forumrank (
  id int(10) NOT NULL auto_increment,
  posts int(10) NOT NULL default '0',
  names varchar(20) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "forumrank VALUES (1, 1, 'Test rank 1')";
$inf_insertdbrow_[2] = "forumrank VALUES (2, 2, 'Test rank 2')";
$inf_insertdbrow_[3] = "forumrank VALUES (3, 3, 'Test rank 3')";
$inf_insertdbrow_[4] = "forumrank VALUES (4, 4, 'Test rank 4')";
$inf_insertdbrow_[5] = "forumrank VALUES (5, 5, 'Test rank 5')";
$inf_insertdbrow_[6] = "forumrank VALUES (6, 6, 'Test rank 6')";
$inf_insertdbrow_[7] = "forumrank VALUES (7, 7, 'Test rank 7')";
$inf_insertdbrow_[8] = "forumrank VALUES (8, 8, 'Test rank 8')";
$inf_insertdbrow_[9] = "forumrank VALUES (9, 9, 'Test rank 9')";
$inf_insertdbrow_[10] = "forumrank VALUES (10, 0, '')";
$inf_insertdbrow_[11] = "forumrank VALUES (11, 10, 'Test rank 10')";
$inf_insertdbrow_[12] = "forumrank VALUES (12, 11, 'Test rank 11')";
$inf_insertdbrow_[13] = "forumrank VALUES (13, 12, 'Test rank 12')";
$inf_insertdbrow_[14] = "forumrank VALUES (14, 13, 'Test rank 13')";
$inf_insertdbrow_[15] = "forumrank VALUES (15, 14, 'Test rank 14')";
$inf_insertdbrow_[16] = "forumrank VALUES (16, 15, 'Test rank 15')";

$inf_droptable_[1] = "forumrank";
?>